/**
Theme Name: GSC 2025 (Astra child theme)
Author: Jeremy Carter (via Ben Saunders)
Author URI: https://www.jeremycarter.com.au/
Description: Child theme of Astra, for German Community Services (GSC). Based on parent theme Astra 4.9.0
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: gsc
Template: astra
*/


/*
 * Theme edits
 */
.ast-button,
.ast-custom-button,
body,
button,
input[type=button],
input[type=submit],
textarea {
    line-height: 1.4;
}

h1, 
.entry-content h1, 
h2, 
.entry-content h2, 
h3, 
.entry-content h3, 
h4, 
.entry-content h4, 
h5, 
.entry-content h5, 
h6, 
.entry-content h6 {
    line-height: 1.3;
}

.entry-header.ast-header-without-markup {
	display: none !important;
}

.elementor-widget-button .elementor-button .elementor-button-text {
	letter-spacing: normal;
}

.unstyled-list,
.unstyled-list ul,
.unstyled-list ol {
	list-style: none;
	margin-left: 0;
	padding-left: 0;
}

/*
 * Style all images with corners
 */
.elementor-widget-image:not(.skip-corners) img,
/*img:not(.skip-corners),*/
.apply-corners,
.elementor-widget-testimonial.apply-corners .elementor-widget-container,
.apply-corners .elementor-widget-wrap,
.elementor-widget-text-editor.apply-corners .elementor-widget-wrap,
.elementor-widget.elementor-widget-google_maps iframe {
    border-radius: 30px 0 30px 0;
}
img[src*="logo"],
img[src*="Logo"],
img[src*="LOGO"] {
	border-radius: 0 !important;
	border-bottom-right-radius: 0 !important;
	border-top-left-radius: 0 !important;
}

.elementor-widget-container img.alignleft:not(.skip-corners), 
.elementor-widget-container .alignleft:not(.skip-corners) img, 
.elementor-widget-container .alignleft img:not(.skip-corners), 
.elementor-widget-container img.alignright:not(.skip-corners), 
.elementor-widget-container .alignright:not(.skip-corners) img, 
.elementor-widget-container .alignright img:not(.skip-corners), 
.elementor-widget-container img.alignnone:not(.skip-corners), 
.elementor-widget-container .alignnone:not(.skip-corners) img, 
.elementor-widget-container .alignnone img:not(.skip-corners) {
	border-radius: 30px 0 30px 0;
}


/*
 * Style quotes
 */
.apply-quote-marks .elementor-testimonial-content {
  quotes: "“" "”" "‘" "’";
}
.apply-quote-marks .elementor-testimonial-content::before {
    content: open-quote;
}
.apply-quote-marks .elementor-testimonial-content::after {
    content: close-quote;
}


/*
 * A 4x4 grid of images
 */
/*
.display-photos-as-4x4-grid {
	align-items: flex-start;
}
.display-photos-as-4x4-grid .elementor-widget-wrap {
	display: grid !important;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-gap: 20px;
}
.display-photos-as-4x4-grid .elementor-widget-wrap .elementor-widget {
	margin: 0 !important;
}
.display-photos-as-4x4-grid .elementor-widget-wrap .elementor-widget.elementor-widget-image:first-child img {
	border-radius: 30px 0 0 0;
}
.display-photos-as-4x4-grid .elementor-widget-wrap .elementor-widget.elementor-widget-image:nth-child(2) img {
	border-radius: 0 0 0 0;
}
.display-photos-as-4x4-grid .elementor-widget-wrap .elementor-widget.elementor-widget-image:nth-child(3) img {
	border-radius: 0 0 0 0;
}
.display-photos-as-4x4-grid .elementor-widget-wrap .elementor-widget.elementor-widget-image:last-child img {
	border-bottom-right-radius: 30px !important;
}
*/


/*
 * Bullet points with checkmark icons
 */
.checkmark-icon-list ul,
.chevron-icon-list ul {
	list-style-type: none !important;
	margin-left: 2em;
}
.checkmark-icon-list ul li,
.chevron-icon-list ul li {
	position: relative;
	margin-bottom: 7px;
}
.checkmark-icon-list ul li:before,
.chevron-icon-list ul li:before {
	content: '';
	background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
	
	margin-right: 10px;
    margin-left: -2em;
    margin-top: 4px;
    width: 20px;
    height: 20px;
    display: inline-block;
    position: absolute;
}
.checkmark-icon-list ul li:before {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' data-name='Layer 1' viewBox='0 0 20 20'%3E%3Ccircle cx='10' cy='10' r='10' fill='%2391195a'/%3E%3Cpath fill='%23fff' d='M15.72 7.78 9.5 14c-.22.22-.55.38-.88.38s-.65-.15-.88-.38l-3.47-3.47c-.5-.5-.5-1.28 0-1.78s1.28-.5 1.78 0l2.58 2.58L13.95 6c.5-.5 1.28-.5 1.78 0s.5 1.3 0 1.78Z'/%3E%3C/svg%3E");
}
.chevron-icon-list ul li:before {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' data-name='Layer 1' viewBox='0 0 20 20'%3E%3Ccircle cx='10' cy='10' r='10' fill='%2391195a'/%3E%3Cpath fill='%23fff' d='M11 9.73 7.53 13.2c-.3.32-.42.77-.3 1.19.12.42.45.75.87.87s.88 0 1.19-.3l4.35-4.35c.23-.23.36-.55.36-.88s-.13-.65-.36-.88L9.29 4.5c-.32-.3-.77-.42-1.19-.3-.42.12-.75.45-.87.87s0 .88.3 1.19L11 9.73Z'/%3E%3C/svg%3E");
}


/*
 * Mobile images
 */
@media (max-width: 767px) {
	.elementor-widget-container .alignleft,
	.elementor-widget-container .alignright{
		max-width: 50%;
		max-width: calc(50% - 0.5em);
		margin-left: 1em;
	}
}


/*
 * Forms
 */
body .wpforms-container .wpforms-field-label {
    font-weight: 400;
    margin-bottom: 4px;
    color: var(--e-global-color-text);
}

body .wpforms-container .wpforms-required-label {
    color: var(--e-global-color-astglobalcolor0);
}